Bug 174083 - CVE-2005-3806 ipv6 DOS (ipf)
CVE-2005-3806 ipv6 DOS (ipf)
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-11-24 06:30 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0190
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-01 12:47:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-24 06:30:31 EST
+++ This bug was initially created as a clone of Bug #174081 +++

A typo in IPv6 flowlabel handling code in Linux kernels 2.4 up
        to 2.4.32 and 2.6 before 2.6.14 could be used by a local
        attacker to cause the kernel free non-allocated memory and in
        turn corrupt kernel memory and/or crash the machine.

Fixed upstream by:

This issue affects kernels 2.4 as well as 2.6 up to 2.6.14
Comment 3 Red Hat Bugzilla 2006-02-01 12:47:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.